Update Collection Stats
curl --request PUT \
--url https://api.example.com/api/v1/collections/{collection_id}/stats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/api/v1/collections/{collection_id}/stats"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/api/v1/collections/{collection_id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"workspace_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "private",
"status": "active",
"tags": [
"<string>"
],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "document",
"source_id": "<string>",
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Collections
Update Collection Stats
Update collection statistics.
PUT
/
api
/
v1
/
collections
/
{collection_id}
/
stats
Update Collection Stats
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Path Parameters
Body
application/json
The body is of type Stats · object.
Response
Successful Response
Schema for reading collection data.
Collection ID
Collection name
Required string length:
1 - 100Reference to workspace
Collection description
Maximum string length:
255Storage type for the collection
Collection visibility (private/public)
Collection status
Collection tags for organization
Reference to parent collection
Collection statistics
Collection metadata
Collection configuration settings
Embedding configuration
Show child attributes
Show child attributes
Collection source type
Collection source ID
User who created the collection